-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.6.19 - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL Version:             8.3.0.4694
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping database structure for life
CREATE DATABASE IF NOT EXISTS `life` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `life`;


-- Dumping structure for procedure life.Load_stats
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `Load_stats`(IN `uid_ingame` INT, IN `name_ingame` TEXT, IN `side_ingame` varCHAR(10))
    SQL SECURITY INVOKER
    COMMENT 'Loads your stats'
BEGIN
	SELECT 
		uid, name, bank, inventory, license, streetrep, vehicle 
	FROM 
		users 
	WHERE 
		uid = uid_ingame AND name = name_ingame AND side = side_ingame;
END//
DELIMITER ;


-- Dumping structure for procedure life.Player
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `Player`(IN `uid_ingame` INT, IN `name_ingame` TEXT, IN `side_ingame` VARCHAR(10), IN `bank_ingame` INT, IN `inventory_ingame` TEXT, IN `license_ingame` TEXT, IN `streetrep_ingame` DOUBLE, IN `vehicle_ingame` TEXT)
    SQL SECURITY INVOKER
    COMMENT 'Creates new player account'
BEGIN
	INSERT into users (uid, name, side, bank, inventory, license, streetrep, vehicle) 
	VALUES(uid_ingame, name_ingame, side_ingame, bank_ingame, inventory_ingame, license_ingame, streetrep_ingame, vehicle_ingame);
END//
DELIMITER ;


-- Dumping structure for procedure life.Update_stats
DELIMITER //
CREATE DEFINER=`root`@`localhost` PROCEDURE `Update_stats`(IN `bank_ingame` INT, IN `inventory_ingame` TEXT, IN `license_ingame` TEXT, IN `streetrep_ingame` DOUBLE, IN `uid_ingame` INT, IN `name_ingame` TEXT, IN `side_ingame` VARCHAR(10))
    SQL SECURITY INVOKER
    COMMENT 'Updates all stats but vehicle'
BEGIN
	UPDATE 
		users 
	SET 
		bank = bank_ingame, inventory = inventory_ingame, license = license_ingame, streetrep = streetrep_ingame
	WHERE 
		uid = uid_ingame AND name = name_ingame AND side = side_ingame;
END//
DELIMITER ;


-- Dumping structure for table life.users
CREATE TABLE IF NOT EXISTS `users` (
  `id` int(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `name` text NOT NULL,
  `side` varchar(10) NOT NULL,
  `bank` int(11) NOT NULL,
  `inventory` text,
  `license` text,
  `streetrep` double DEFAULT NULL,
  `vehicle` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
